Open SCAP Library: Data Fields

Open SCAP Library

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- callback : reporter , xccdf_policy_engine
- callbacks : xccdf_policy_model
- can_override : oscap_text_traits
- can_substitute : oscap_text_traits
- cce_entry_get_description() : cce_entry
- cce_entry_get_id() : cce_entry
- cce_entry_get_params() : cce_entry
- cce_entry_get_references() : cce_entry
- cce_entry_get_tech_mechs() : cce_entry
- cce_entry_iterator_free() : cce_entry_iterator
- cce_entry_iterator_has_more() : cce_entry_iterator
- cce_entry_iterator_next() : cce_entry_iterator
- cce_entry_iterator_reset() : cce_entry_iterator
- cce_free() : cce
- cce_get_entries() : cce
- cce_get_entry() : cce
- cce_new() : cce
- cce_reference_get_source() : cce_reference
- cce_reference_get_value() : cce_reference
- cce_reference_iterator_free() : cce_reference_iterator
- cce_reference_iterator_has_more() : cce_reference_iterator
- cce_reference_iterator_next() : cce_reference_iterator
- cce_reference_iterator_reset() : cce_reference_iterator
- cce_supported() : cce
- check_engine_plugins : xccdf_session
- check_engine_plugins_results : xccdf_session
- checklist_id : ds_sds_session
- cnt : fsdev_t
- component_sources : ds_rds_session , ds_sds_session
- count : xiconf_file_t
- cpath : xiconf_file_t
- cpe : cpe_testexpr
- cpe23_item : cpe_item
- cpe_check_free() : cpe_check
- cpe_check_get_href() : cpe_check
- cpe_check_get_identifier() : cpe_check
- cpe_check_get_system() : cpe_check
- cpe_check_iterator_free() : cpe_check_iterator
- cpe_check_iterator_has_more() : cpe_check_iterator
- cpe_check_iterator_next() : cpe_check_iterator
- cpe_check_iterator_remove() : cpe_check_iterator
- cpe_check_iterator_reset() : cpe_check_iterator
- cpe_check_new() : cpe_check
- cpe_check_set_href() : cpe_check
- cpe_check_set_identifier() : cpe_check
- cpe_check_set_system() : cpe_check
- cpe_dict_model_add_item() : cpe_dict_model
- cpe_dict_model_add_vendor() : cpe_dict_model
- cpe_dict_model_export() : cpe_dict_model
- cpe_dict_model_free() : cpe_dict_model
- cpe_dict_model_get_base_version() : cpe_dict_model
- cpe_dict_model_get_generator() : cpe_generator
- cpe_dict_model_get_items() : cpe_dict_model
- cpe_dict_model_get_vendors() : cpe_dict_model
- cpe_dict_model_import() : cpe_dict_model
- cpe_dict_model_import_source() : cpe_dict_model
- cpe_dict_model_new() : cpe_dict_model
- cpe_dict_model_set_base_version() : cpe_dict_model
- cpe_dict_model_supported() : cpe_dict_model
- cpe_edition_add_language() : cpe_edition
- cpe_edition_free() : cpe_edition
- cpe_edition_get_languages() : cpe_language
- cpe_edition_get_value() : cpe_edition
- cpe_edition_iterator_free() : cpe_edition_iterator
- cpe_edition_iterator_has_more() : cpe_edition_iterator
- cpe_edition_iterator_next() : cpe_edition_iterator
- cpe_edition_iterator_remove() : cpe_edition_iterator
- cpe_edition_iterator_reset() : cpe_edition_iterator
- cpe_edition_new() : cpe_edition
- cpe_edition_set_value() : cpe_edition
- cpe_generator_free() : cpe_generator
- cpe_generator_get_product_name() : cpe_generator
- cpe_generator_get_product_version() : cpe_generator
- cpe_generator_get_schema_version() : cpe_generator
- cpe_generator_get_timestamp() : cpe_generator
- cpe_generator_new() : cpe_generator
- cpe_generator_set_product_name() : cpe_generator
- cpe_generator_set_product_version() : cpe_generator
- cpe_generator_set_schema_version() : cpe_generator
- cpe_generator_set_timestamp() : cpe_generator
- cpe_item_add_check() : cpe_item
- cpe_item_add_note() : cpe_item
- cpe_item_add_reference() : cpe_item
- cpe_item_add_title() : cpe_item
- cpe_item_free() : cpe_item
- cpe_item_get_checks() : cpe_item
- cpe_item_get_deprecated() : cpe_item
- cpe_item_get_deprecated_by() : cpe_item
- cpe_item_get_deprecation_date() : cpe_item
- cpe_item_get_metadata() : cpe_item
- cpe_item_get_name() : cpe_item
- cpe_item_get_notes() : cpe_item
- cpe_item_get_references() : cpe_item
- cpe_item_get_titles() : cpe_item
- cpe_item_is_applicable() : cpe_item
- cpe_item_iterator_free() : cpe_item_iterator
- cpe_item_iterator_has_more() : cpe_item_iterator
- cpe_item_iterator_next() : cpe_item_iterator
- cpe_item_iterator_remove() : cpe_item
- cpe_item_iterator_reset() : cpe_item_iterator
- cpe_item_metadata_get_deprecated_by_nvd_id() : cpe_item_metadata
- cpe_item_metadata_get_modification_date() : cpe_item_metadata
- cpe_item_metadata_get_nvd_id() : cpe_item_metadata
- cpe_item_metadata_get_status() : cpe_item_metadata
- cpe_item_metadata_new() : cpe_item_metadata
- cpe_item_metadata_set_deprecated_by_nvd_id() : cpe_item_metadata
- cpe_item_metadata_set_modification_date() : cpe_item_metadata
- cpe_item_metadata_set_nvd_id() : cpe_item_metadata
- cpe_item_metadata_set_status() : cpe_item_metadata
- cpe_item_new() : cpe_item
- cpe_item_set_deprecated_by() : cpe_item
- cpe_item_set_deprecation_date() : cpe_item
- cpe_item_set_name() : cpe_item
- cpe_lang_model_add_platform() : cpe_lang_model
- cpe_lang_model_detect_version() : cpe_lang_model
- cpe_lang_model_export() : cpe_lang_model
- cpe_lang_model_free() : cpe_lang_model
- cpe_lang_model_get_item() : cpe_lang_model
- cpe_lang_model_get_platforms() : cpe_lang_model
- cpe_lang_model_import() : cpe_lang_model
- cpe_lang_model_import_source() : cpe_lang_model
- cpe_lang_model_new() : cpe_lang_model
- cpe_lang_model_supported() : cpe_lang_model
- cpe_language_free() : cpe_language
- cpe_language_get_value() : cpe_language
- cpe_language_iterator_free() : cpe_language_iterator
- cpe_language_iterator_has_more() : cpe_language_iterator
- cpe_language_iterator_next() : cpe_language_iterator
- cpe_language_iterator_remove() : cpe_language_iterator
- cpe_language_iterator_reset() : cpe_language_iterator
- cpe_language_new() : cpe_language
- cpe_language_set_value() : cpe_language
- cpe_name_applicable_dict() : cpe_dict_model
- cpe_name_check() : cpe_name
- cpe_name_clone() : cpe_name
- cpe_name_free() : cpe_name
- cpe_name_get_as_format() : cpe_name
- cpe_name_get_as_str() : cpe_name
- cpe_name_get_edition() : cpe_name
- cpe_name_get_format() : cpe_name
- cpe_name_get_language() : cpe_name
- cpe_name_get_other() : cpe_name
- cpe_name_get_part() : cpe_name
- cpe_name_get_product() : cpe_name
- cpe_name_get_sw_edition() : cpe_name
- cpe_name_get_target_hw() : cpe_name
- cpe_name_get_target_sw() : cpe_name
- cpe_name_get_update() : cpe_name
- cpe_name_get_vendor() : cpe_name
- cpe_name_get_version() : cpe_name
- cpe_name_match_cpes() : cpe_name
- cpe_name_match_dict() : cpe_dict_model
- cpe_name_match_dict_str() : cpe_dict_model
- cpe_name_match_one() : cpe_name
- cpe_name_match_strs() : cpe_name
- cpe_name_new() : cpe_name
- cpe_name_set_edition() : cpe_name
- cpe_name_set_format() : cpe_name
- cpe_name_set_language() : cpe_name
- cpe_name_set_other() : cpe_name
- cpe_name_set_part() : cpe_name
- cpe_name_set_product() : cpe_name
- cpe_name_set_sw_edition() : cpe_name
- cpe_name_set_target_hw() : cpe_name
- cpe_name_set_target_sw() : cpe_name
- cpe_name_set_update() : cpe_name
- cpe_name_set_vendor() : cpe_name
- cpe_name_set_version() : cpe_name
- cpe_name_supported() : cpe_name
- cpe_name_write() : cpe_name
- cpe_parser_ctx_version_gt() : cpe_parser_ctx
- cpe_platform_add_title() : cpe_platform
- cpe_platform_applicable_lang_model() : cpe_lang_model
- cpe_platform_free() : cpe_platform
- cpe_platform_get_expr() : cpe_platform
- cpe_platform_get_id() : cpe_platform
- cpe_platform_get_remark() : cpe_platform
- cpe_platform_get_titles() : cpe_platform
- cpe_platform_iterator_free() : cpe_platform_iterator
- cpe_platform_iterator_has_more() : cpe_platform_iterator
- cpe_platform_iterator_next() : cpe_platform_iterator
- cpe_platform_iterator_remove() : cpe_platform_iterator
- cpe_platform_iterator_reset() : cpe_testexpr_iterator
- cpe_platform_match_cpe() : cpe_platform
- cpe_platform_new() : cpe_platform
- cpe_platform_set_expr() : cpe_platform
- cpe_platform_set_id() : cpe_platform
- cpe_platform_set_remark() : cpe_platform
- cpe_product_add_version() : cpe_product
- cpe_product_free() : cpe_product
- cpe_product_get_part() : cpe_product
- cpe_product_get_value() : cpe_product
- cpe_product_get_versions() : cpe_version
- cpe_product_iterator_free() : cpe_product_iterator
- cpe_product_iterator_has_more() : cpe_product_iterator
- cpe_product_iterator_next() : cpe_product_iterator
- cpe_product_iterator_remove() : cpe_product_iterator
- cpe_product_iterator_reset() : cpe_product_iterator
- cpe_product_new() : cpe_product
- cpe_product_set_part() : cpe_product
- cpe_product_set_value() : cpe_product
- cpe_reference_free() : cpe_reference
- cpe_reference_get_content() : cpe_reference
- cpe_reference_get_href() : cpe_reference
- cpe_reference_iterator_free() : cpe_reference_iterator
- cpe_reference_iterator_has_more() : cpe_reference_iterator
- cpe_reference_iterator_next() : cpe_reference_iterator
- cpe_reference_iterator_remove() : cpe_reference_iterator
- cpe_reference_iterator_reset() : cpe_reference_iterator
- cpe_reference_new() : cpe_reference
- cpe_reference_set_content() : cpe_reference
- cpe_reference_set_href() : cpe_reference
- cpe_testexpr_add_subexpression() : cpe_testexpr
- cpe_testexpr_clone() : cpe_testexpr
- cpe_testexpr_free() : cpe_testexpr
- cpe_testexpr_get_meta_check_href() : cpe_testexpr
- cpe_testexpr_get_meta_check_id() : cpe_testexpr
- cpe_testexpr_get_meta_check_system() : cpe_testexpr
- cpe_testexpr_get_meta_cpe() : cpe_testexpr
- cpe_testexpr_get_meta_expr() : cpe_testexpr
- cpe_testexpr_get_next() : cpe_testexpr
- cpe_testexpr_get_oper() : cpe_testexpr
- cpe_testexpr_iterator_free() : cpe_testexpr_iterator
- cpe_testexpr_iterator_has_more() : cpe_testexpr_iterator
- cpe_testexpr_iterator_next() : cpe_testexpr_iterator
- cpe_testexpr_iterator_reset() : cpe_testexpr
- cpe_testexpr_new() : cpe_testexpr
- cpe_testexpr_set_name() : cpe_testexpr
- cpe_testexpr_set_oper() : cpe_testexpr
- cpe_update_add_edition() : cpe_update
- cpe_update_free() : cpe_update
- cpe_update_get_editions() : cpe_edition
- cpe_update_get_value() : cpe_update
- cpe_update_iterator_free() : cpe_update_iterator
- cpe_update_iterator_has_more() : cpe_update_iterator
- cpe_update_iterator_next() : cpe_update_iterator
- cpe_update_iterator_remove() : cpe_update_iterator
- cpe_update_iterator_reset() : cpe_update_iterator
- cpe_update_new() : cpe_update
- cpe_update_set_value() : cpe_update
- cpe_vendor_add_product() : cpe_vendor
- cpe_vendor_add_title() : cpe_vendor
- cpe_vendor_free() : cpe_vendor
- cpe_vendor_get_products() : cpe_vendor
- cpe_vendor_get_titles() : cpe_vendor
- cpe_vendor_get_value() : cpe_vendor
- cpe_vendor_iterator_free() : cpe_vendor_iterator
- cpe_vendor_iterator_has_more() : cpe_vendor_iterator
- cpe_vendor_iterator_next() : cpe_vendor_iterator
- cpe_vendor_iterator_remove() : cpe_vendor_iterator
- cpe_vendor_iterator_reset() : cpe_vendor_iterator
- cpe_vendor_new() : cpe_vendor
- cpe_vendor_set_value() : cpe_vendor
- cpe_version : xccdf_version_info
- cpe_version_add_update() : cpe_version
- cpe_version_free() : cpe_version
- cpe_version_get_updates() : cpe_update
- cpe_version_get_value() : cpe_version
- cpe_version_iterator_free() : cpe_version_iterator
- cpe_version_iterator_has_more() : cpe_version_iterator
- cpe_version_iterator_next() : cpe_version_iterator
- cpe_version_iterator_remove() : cpe_version_iterator
- cpe_version_iterator_reset() : cpe_version_iterator
- cpe_version_new() : cpe_version
- cpe_version_set_value() : cpe_version
- custom_resources : xccdf_session
- cve_configuration_clone() : cve_configuration
- cve_configuration_free() : cve_configuration
- cve_configuration_get_expr() : cve_configuration
- cve_configuration_get_id() : cve_configuration
- cve_configuration_iterator_remove() : cve_configuration_iterator
- cve_configuration_iterator_reset() : cve_configuration_iterator
- cve_configuration_new() : cve_configuration
- cve_configuration_set_id() : cve_configuration
- cve_entry_add_configuration() : cve_entry
- cve_entry_add_product() : cve_entry
- cve_entry_add_reference() : cve_entry
- cve_entry_add_summary() : cve_entry
- cve_entry_clone() : cve_entry
- cve_entry_free() : cve_entry
- cve_entry_get_configurations() : cve_entry
- cve_entry_get_cvss() : cve_entry
- cve_entry_get_cwe() : cve_entry
- cve_entry_get_id() : cve_entry
- cve_entry_get_modified() : cve_entry
- cve_entry_get_products() : cve_entry
- cve_entry_get_published() : cve_entry
- cve_entry_get_references() : cve_entry
- cve_entry_get_sec_protection() : cve_entry
- cve_entry_get_summaries() : cve_entry
- cve_entry_iterator_remove() : cve_entry_iterator
- cve_entry_iterator_reset() : cve_entry_iterator
- cve_entry_new() : cve_entry
- cve_entry_set_cwe() : cve_entry
- cve_entry_set_id() : cve_entry
- cve_entry_set_modified() : cve_entry
- cve_entry_set_published() : cve_entry
- cve_entry_set_sec_protection() : cve_entry
- cve_model_add_entry() : cve_model
- cve_model_clone() : cve_model
- cve_model_export() : cve_model
- cve_model_free() : cve_model
- cve_model_get_entries() : cve_entry
- cve_model_get_nvd_xml_version() : cve_model
- cve_model_get_pub_date() : cve_model
- cve_model_import() : cve_model
- cve_model_new() : cve_model
- cve_model_set_nvd_xml_version() : cve_model
- cve_model_set_pub_date() : cve_model
- cve_model_supported() : cve_model
- cve_product_clone() : cve_product
- cve_product_free() : cve_product
- cve_product_iterator_remove() : cve_product_iterator
- cve_product_iterator_reset() : cve_product_iterator
- cve_product_new() : cve_product
- cve_product_set_value() : cve_product
- cve_reference_clone() : cve_reference
- cve_reference_free() : cve_reference
- cve_reference_get_href() : cve_reference
- cve_reference_get_lang() : cve_reference
- cve_reference_get_source() : cve_reference
- cve_reference_get_type() : cve_reference
- cve_reference_get_value() : cve_reference
- cve_reference_iterator_remove() : cve_reference_iterator
- cve_reference_iterator_reset() : cve_reference_iterator
- cve_reference_new() : cve_reference
- cve_reference_set_href() : cve_reference
- cve_reference_set_lang() : cve_reference
- cve_reference_set_source() : cve_reference
- cve_reference_set_type() : cve_reference
- cve_reference_set_value() : cve_reference
- cve_summary_clone() : cve_summary
- cve_summary_free() : cve_summary
- cve_summary_get_summary() : cve_summary
- cve_summary_iterator_remove() : cve_summary_iterator
- cve_summary_iterator_reset() : cve_summary_iterator
- cve_summary_new() : cve_summary
- cve_summary_set_summary() : cve_summary
- cvrf_acknowledgment_clone() : cvrf_acknowledgment
- cvrf_acknowledgment_free() : cvrf_acknowledgment
- cvrf_acknowledgment_get_description() : cvrf_acknowledgment
- cvrf_acknowledgment_get_names() : cvrf_acknowledgment
- cvrf_acknowledgment_get_organizations() : cvrf_acknowledgment
- cvrf_acknowledgment_get_urls() : cvrf_acknowledgment
- cvrf_acknowledgment_new() : cvrf_acknowledgment
- cvrf_acknowledgment_set_description() : cvrf_acknowledgment
- cvrf_acknowledgment_to_dom() : cvrf_acknowledgment
- cvrf_branch_clone() : cvrf_branch
- cvrf_branch_free() : cvrf_branch
- cvrf_branch_get_branch_name() : cvrf_branch
- cvrf_branch_get_branch_type() : cvrf_branch
- cvrf_branch_get_product_name() : cvrf_branch
- cvrf_branch_get_subbranches() : cvrf_branch
- cvrf_branch_new() : cvrf_branch
- cvrf_branch_set_branch_name() : cvrf_branch
- cvrf_branch_set_product_name() : cvrf_branch
- cvrf_branch_to_dom() : cvrf_branch
- cvrf_doc_publisher_clone() : cvrf_doc_publisher
- cvrf_doc_publisher_free() : cvrf_doc_publisher
- cvrf_doc_publisher_get_contact_details() : cvrf_doc_publisher
- cvrf_doc_publisher_get_issuing_authority() : cvrf_doc_publisher
- cvrf_doc_publisher_get_type() : cvrf_doc_publisher
- cvrf_doc_publisher_get_vendor_id() : cvrf_doc_publisher
- cvrf_doc_publisher_new() : cvrf_doc_publisher
- cvrf_doc_publisher_set_contact_details() : cvrf_doc_publisher
- cvrf_doc_publisher_set_issuing_authority() : cvrf_doc_publisher
- cvrf_doc_publisher_set_vendor_id() : cvrf_doc_publisher
- cvrf_doc_publisher_to_dom() : cvrf_doc_publisher
- cvrf_doc_tracking_add_revision() : cvrf_doc_tracking
- cvrf_doc_tracking_clone() : cvrf_doc_tracking
- cvrf_doc_tracking_free() : cvrf_doc_tracking
- cvrf_doc_tracking_get_aliases() : cvrf_doc_tracking
- cvrf_doc_tracking_get_cur_release_date() : cvrf_doc_tracking
- cvrf_doc_tracking_get_generator_date() : cvrf_doc_tracking
- cvrf_doc_tracking_get_generator_engine() : cvrf_doc_tracking
- cvrf_doc_tracking_get_init_release_date() : cvrf_doc_tracking
- cvrf_doc_tracking_get_revision_history() : cvrf_doc_tracking
- cvrf_doc_tracking_get_status() : cvrf_doc_tracking
- cvrf_doc_tracking_get_tracking_id() : cvrf_doc_tracking
- cvrf_doc_tracking_get_version() : cvrf_doc_tracking
- cvrf_doc_tracking_new() : cvrf_doc_tracking
- cvrf_doc_tracking_set_cur_release_date() : cvrf_doc_tracking
- cvrf_doc_tracking_set_generator_date() : cvrf_doc_tracking
- cvrf_doc_tracking_set_generator_engine() : cvrf_doc_tracking
- cvrf_doc_tracking_set_init_release_date() : cvrf_doc_tracking
- cvrf_doc_tracking_set_tracking_id() : cvrf_doc_tracking
- cvrf_doc_tracking_set_version() : cvrf_doc_tracking
- cvrf_doc_tracking_to_dom() : cvrf_doc_tracking
- cvrf_document_clone() : cvrf_document
- cvrf_document_free() : cvrf_document
- cvrf_document_get_acknowledgments() : cvrf_document
- cvrf_document_get_aggregate_severity() : cvrf_document
- cvrf_document_get_doc_distribution() : cvrf_document
- cvrf_document_get_namespace() : cvrf_document
- cvrf_document_get_notes() : cvrf_document
- cvrf_document_get_publisher() : cvrf_document
- cvrf_document_get_references() : cvrf_document
- cvrf_document_get_tracking() : cvrf_document
- cvrf_document_new() : cvrf_document
- cvrf_document_set_aggregate_severity() : cvrf_document
- cvrf_document_set_doc_distribution() : cvrf_document
- cvrf_document_set_namespace() : cvrf_document
- cvrf_document_set_publisher() : cvrf_document
- cvrf_document_set_tracking() : cvrf_document
- cvrf_document_to_dom() : cvrf_document
- cvrf_group_clone() : cvrf_group
- cvrf_group_free() : cvrf_group
- cvrf_group_get_description() : cvrf_group
- cvrf_group_get_group_id() : cvrf_group
- cvrf_group_get_product_ids() : cvrf_group
- cvrf_group_new() : cvrf_group
- cvrf_group_set_description() : cvrf_group
- cvrf_group_set_group_id() : cvrf_group
- cvrf_group_to_dom() : cvrf_group
- cvrf_index_add_model() : cvrf_index
- cvrf_index_clone() : cvrf_index
- cvrf_index_free() : cvrf_index
- cvrf_index_get_export_source() : cvrf_index
- cvrf_index_get_index_file() : cvrf_index
- cvrf_index_get_models() : cvrf_index
- cvrf_index_get_results_source() : cvrf_session
- cvrf_index_get_source_url() : cvrf_index
- cvrf_index_import() : cvrf_index
- cvrf_index_new() : cvrf_index
- cvrf_index_set_index_file() : cvrf_index
- cvrf_index_set_source_url() : cvrf_index
- cvrf_involvement_clone() : cvrf_involvement
- cvrf_involvement_free() : cvrf_involvement
- cvrf_involvement_get_description() : cvrf_involvement
- cvrf_involvement_get_party() : cvrf_involvement
- cvrf_involvement_get_status_type() : cvrf_involvement
- cvrf_involvement_new() : cvrf_involvement
- cvrf_involvement_set_description() : cvrf_involvement
- cvrf_involvement_to_dom() : cvrf_involvement
- cvrf_model_add_vulnerability() : cvrf_model
- cvrf_model_clone() : cvrf_model
- cvrf_model_filter_by_cpe() : cvrf_model
- cvrf_model_free() : cvrf_model
- cvrf_model_get_doc_title() : cvrf_model
- cvrf_model_get_doc_type() : cvrf_model
- cvrf_model_get_document() : cvrf_model
- cvrf_model_get_export_source() : cvrf_model
- cvrf_model_get_identification() : cvrf_model
- cvrf_model_get_product_tree() : cvrf_model
- cvrf_model_get_results_source() : cvrf_session
- cvrf_model_get_vulnerabilities() : cvrf_model
- cvrf_model_import() : cvrf_model
- cvrf_model_new() : cvrf_model
- cvrf_model_set_doc_title() : cvrf_model
- cvrf_model_set_doc_type() : cvrf_model
- cvrf_model_set_document() : cvrf_model
- cvrf_model_supported() : cvrf_model
- cvrf_note_clone() : cvrf_note
- cvrf_note_free() : cvrf_note
- cvrf_note_get_audience() : cvrf_note
- cvrf_note_get_contents() : cvrf_note
- cvrf_note_get_note_type() : cvrf_note
- cvrf_note_get_ordinal() : cvrf_note
- cvrf_note_get_title() : cvrf_note
- cvrf_note_new() : cvrf_note
- cvrf_note_set_audience() : cvrf_note
- cvrf_note_set_contents() : cvrf_note
- cvrf_note_set_ordinal() : cvrf_note
- cvrf_note_set_title() : cvrf_note
- cvrf_note_to_dom() : cvrf_note
- cvrf_product_name_clone() : cvrf_product_name
- cvrf_product_name_free() : cvrf_product_name
- cvrf_product_name_get_cpe() : cvrf_product_name
- cvrf_product_name_get_product_id() : cvrf_product_name
- cvrf_product_name_new() : cvrf_product_name
- cvrf_product_name_set_cpe() : cvrf_product_name
- cvrf_product_name_set_product_id() : cvrf_product_name
- cvrf_product_name_to_dom() : cvrf_product_name
- cvrf_product_status_clone() : cvrf_product_status
- cvrf_product_status_free() : cvrf_product_status
- cvrf_product_status_get_ids() : cvrf_product_status
- cvrf_product_status_get_type() : cvrf_product_status
- cvrf_product_status_new() : cvrf_product_status
- cvrf_product_status_to_dom() : cvrf_product_status
- cvrf_product_tree_add_group() : cvrf_product_tree
- cvrf_product_tree_add_product_name() : cvrf_product_tree
- cvrf_product_tree_add_relationship() : cvrf_product_tree
- cvrf_product_tree_clone() : cvrf_product_tree
- cvrf_product_tree_filter_by_cpe() : cvrf_product_tree
- cvrf_product_tree_free() : cvrf_product_tree
- cvrf_product_tree_get_product_groups() : cvrf_product_tree
- cvrf_product_tree_get_product_names() : cvrf_product_tree
- cvrf_product_tree_get_relationships() : cvrf_product_tree
- cvrf_product_tree_new() : cvrf_product_tree
- cvrf_product_tree_to_dom() : cvrf_product_tree
- cvrf_reference_clone() : cvrf_reference
- cvrf_reference_free() : cvrf_reference
- cvrf_reference_get_description() : cvrf_reference
- cvrf_reference_get_reference_type() : cvrf_reference
- cvrf_reference_get_url() : cvrf_reference
- cvrf_reference_new() : cvrf_reference
- cvrf_reference_set_description() : cvrf_reference
- cvrf_reference_set_url() : cvrf_reference
- cvrf_reference_to_dom() : cvrf_reference
- cvrf_relationship_clone() : cvrf_relationship
- cvrf_relationship_free() : cvrf_relationship
- cvrf_relationship_get_product_name() : cvrf_relationship
- cvrf_relationship_get_product_reference() : cvrf_relationship
- cvrf_relationship_get_relates_to_ref() : cvrf_relationship
- cvrf_relationship_get_relation_type() : cvrf_relationship
- cvrf_relationship_new() : cvrf_relationship
- cvrf_relationship_set_product_name() : cvrf_relationship
- cvrf_relationship_set_product_reference() : cvrf_relationship
- cvrf_relationship_set_relates_to_ref() : cvrf_relationship
- cvrf_relationship_to_dom() : cvrf_relationship
- cvrf_remediation_clone() : cvrf_remediation
- cvrf_remediation_free() : cvrf_remediation
- cvrf_remediation_get_date() : cvrf_remediation
- cvrf_remediation_get_description() : cvrf_remediation
- cvrf_remediation_get_entitlement() : cvrf_remediation
- cvrf_remediation_get_group_ids() : cvrf_remediation
- cvrf_remediation_get_product_ids() : cvrf_remediation
- cvrf_remediation_get_type() : cvrf_remediation
- cvrf_remediation_get_url() : cvrf_remediation
- cvrf_remediation_new() : cvrf_remediation
- cvrf_remediation_set_date() : cvrf_remediation
- cvrf_remediation_set_description() : cvrf_remediation
- cvrf_remediation_set_entitlement() : cvrf_remediation
- cvrf_remediation_set_url() : cvrf_remediation
- cvrf_remediation_to_dom() : cvrf_remediation
- cvrf_revision_clone() : cvrf_revision
- cvrf_revision_free() : cvrf_revision
- cvrf_revision_get_date() : cvrf_revision
- cvrf_revision_get_description() : cvrf_revision
- cvrf_revision_get_number() : cvrf_revision
- cvrf_revision_new() : cvrf_revision
- cvrf_revision_set_date() : cvrf_revision
- cvrf_revision_set_description() : cvrf_revision
- cvrf_revision_set_number() : cvrf_revision
- cvrf_revision_to_dom() : cvrf_revision
- cvrf_rpm_attributes_free() : cvrf_rpm_attributes
- cvrf_rpm_attributes_get_evr_format() : cvrf_rpm_attributes
- cvrf_rpm_attributes_get_full_package_name() : cvrf_rpm_attributes
- cvrf_rpm_attributes_get_rpm_name() : cvrf_rpm_attributes
- cvrf_rpm_attributes_new() : cvrf_rpm_attributes
- cvrf_rpm_attributes_set_evr_format() : cvrf_rpm_attributes
- cvrf_rpm_attributes_set_full_package_name() : cvrf_rpm_attributes
- cvrf_rpm_attributes_set_rpm_name() : cvrf_rpm_attributes
- cvrf_score_set_add_metric() : cvrf_score_set
- cvrf_score_set_clone() : cvrf_score_set
- cvrf_score_set_free() : cvrf_score_set
- cvrf_score_set_get_base_score() : cvrf_score_set
- cvrf_score_set_get_environmental_score() : cvrf_score_set
- cvrf_score_set_get_impact() : cvrf_score_set
- cvrf_score_set_get_product_ids() : cvrf_score_set
- cvrf_score_set_get_temporal_score() : cvrf_score_set
- cvrf_score_set_get_vector() : cvrf_score_set
- cvrf_score_set_new() : cvrf_score_set
- cvrf_score_set_set_impact() : cvrf_score_set
- cvrf_score_set_set_vector() : cvrf_score_set
- cvrf_score_set_to_dom() : cvrf_score_set
- cvrf_session_free() : cvrf_session
- cvrf_session_get_index() : cvrf_session
- cvrf_session_get_model() : cvrf_session
- cvrf_session_get_os_name() : cvrf_session
- cvrf_session_get_product_ids() : cvrf_session
- cvrf_session_new_from_source_index() : cvrf_session
- cvrf_session_new_from_source_model() : cvrf_session
- cvrf_session_set_index() : cvrf_session
- cvrf_session_set_model() : cvrf_session
- cvrf_session_set_os_name() : cvrf_session
- cvrf_threat_clone() : cvrf_threat
- cvrf_threat_free() : cvrf_threat
- cvrf_threat_get_date() : cvrf_threat
- cvrf_threat_get_description() : cvrf_threat
- cvrf_threat_get_group_ids() : cvrf_threat
- cvrf_threat_get_product_ids() : cvrf_threat
- cvrf_threat_get_threat_type() : cvrf_threat
- cvrf_threat_new() : cvrf_threat
- cvrf_threat_set_date() : cvrf_threat
- cvrf_threat_set_description() : cvrf_threat
- cvrf_threat_to_dom() : cvrf_threat
- cvrf_vulnerability_add_cvrf_product_status() : cvrf_vulnerability
- cvrf_vulnerability_add_involvement() : cvrf_vulnerability
- cvrf_vulnerability_add_remediation() : cvrf_vulnerability
- cvrf_vulnerability_add_score_set() : cvrf_vulnerability
- cvrf_vulnerability_add_threat() : cvrf_vulnerability
- cvrf_vulnerability_add_vulnerability_cwe() : cvrf_vulnerability
- cvrf_vulnerability_clone() : cvrf_vulnerability
- cvrf_vulnerability_cwe_clone() : cvrf_vulnerability_cwe
- cvrf_vulnerability_cwe_free() : cvrf_vulnerability_cwe
- cvrf_vulnerability_cwe_get_cwe() : cvrf_vulnerability_cwe
- cvrf_vulnerability_cwe_get_id() : cvrf_vulnerability_cwe
- cvrf_vulnerability_cwe_new() : cvrf_vulnerability_cwe
- cvrf_vulnerability_cwe_set_cwe() : cvrf_vulnerability_cwe
- cvrf_vulnerability_cwe_set_id() : cvrf_vulnerability_cwe
- cvrf_vulnerability_cwe_to_dom() : cvrf_vulnerability_cwe
- cvrf_vulnerability_filter_by_product() : cvrf_vulnerability
- cvrf_vulnerability_free() : cvrf_vulnerability
- cvrf_vulnerability_get_acknowledgments() : cvrf_vulnerability
- cvrf_vulnerability_get_cve_id() : cvrf_vulnerability
- cvrf_vulnerability_get_discovery_date() : cvrf_vulnerability
- cvrf_vulnerability_get_involvements() : cvrf_vulnerability
- cvrf_vulnerability_get_notes() : cvrf_vulnerability
- cvrf_vulnerability_get_ordinal() : cvrf_vulnerability
- cvrf_vulnerability_get_product_statuses() : cvrf_vulnerability
- cvrf_vulnerability_get_references() : cvrf_vulnerability
- cvrf_vulnerability_get_release_date() : cvrf_vulnerability
- cvrf_vulnerability_get_remediations() : cvrf_vulnerability
- cvrf_vulnerability_get_score_sets() : cvrf_vulnerability
- cvrf_vulnerability_get_system_id() : cvrf_vulnerability
- cvrf_vulnerability_get_system_name() : cvrf_vulnerability
- cvrf_vulnerability_get_threats() : cvrf_vulnerability
- cvrf_vulnerability_get_title() : cvrf_vulnerability
- cvrf_vulnerability_get_vulnerability_cwes() : cvrf_vulnerability
- cvrf_vulnerability_new() : cvrf_vulnerability
- cvrf_vulnerability_set_cve_id() : cvrf_vulnerability
- cvrf_vulnerability_set_discovery_date() : cvrf_vulnerability
- cvrf_vulnerability_set_ordinal() : cvrf_vulnerability
- cvrf_vulnerability_set_release_date() : cvrf_vulnerability
- cvrf_vulnerability_set_system_id() : cvrf_vulnerability
- cvrf_vulnerability_set_system_name() : cvrf_vulnerability
- cvrf_vulnerability_set_title() : cvrf_vulnerability
- cvrf_vulnerability_to_dom() : cvrf_vulnerability
- cvss_impact_adjusted_base_score() : cvss_impact
- cvss_impact_adjusted_temporal_score() : cvss_impact
- cvss_impact_base_adjusted_impact_subscore() : cvss_impact
- cvss_impact_base_exploitability_subscore() : cvss_impact
- cvss_impact_base_impact_subscore() : cvss_impact
- cvss_impact_base_score() : cvss_impact
- cvss_impact_clone() : cvss_impact
- cvss_impact_describe() : cvss_impact
- cvss_impact_environmental_score() : cvss_impact
- cvss_impact_free() : cvss_impact
- cvss_impact_get_base_metrics() : cvss_impact
- cvss_impact_get_environmental_metrics() : cvss_impact
- cvss_impact_get_temporal_metrics() : cvss_impact
- cvss_impact_new() : cvss_impact
- cvss_impact_new_from_vector() : cvss_impact
- cvss_impact_set_metrics() : cvss_impact
- cvss_impact_temporal_multiplier() : cvss_impact
- cvss_impact_temporal_score() : cvss_impact
- cvss_impact_to_vector() : cvss_impact
- cvss_metrics_clone() : cvss_metrics
- cvss_metrics_free() : cvss_metrics
- cvss_metrics_get_access_complexity() : cvss_metrics
- cvss_metrics_get_access_vector() : cvss_metrics
- cvss_metrics_get_authentication() : cvss_metrics
- cvss_metrics_get_availability_impact() : cvss_metrics
- cvss_metrics_get_availability_requirement() : cvss_metrics
- cvss_metrics_get_category() : cvss_metrics
- cvss_metrics_get_collateral_damage_potential() : cvss_metrics
- cvss_metrics_get_confidentiality_impact() : cvss_metrics
- cvss_metrics_get_confidentiality_requirement() : cvss_metrics
- cvss_metrics_get_exploitability() : cvss_metrics
- cvss_metrics_get_generated_on_datetime() : cvss_metrics
- cvss_metrics_get_integrity_impact() : cvss_metrics
- cvss_metrics_get_integrity_requirement() : cvss_metrics
- cvss_metrics_get_remediation_level() : cvss_metrics
- cvss_metrics_get_report_confidence() : cvss_metrics
- cvss_metrics_get_score() : cvss_metrics
- cvss_metrics_get_source() : cvss_metrics
- cvss_metrics_get_target_distribution() : cvss_metrics
- cvss_metrics_get_upgraded_from_version() : cvss_metrics
- cvss_metrics_is_valid() : cvss_metrics
- cvss_metrics_new() : cvss_metrics
- cvss_metrics_set_access_complexity() : cvss_metrics
- cvss_metrics_set_access_vector() : cvss_metrics
- cvss_metrics_set_authentication() : cvss_metrics
- cvss_metrics_set_availability_impact() : cvss_metrics
- cvss_metrics_set_availability_requirement() : cvss_metrics
- cvss_metrics_set_collateral_damage_potential() : cvss_metrics
- cvss_metrics_set_confidentiality_impact() : cvss_metrics
- cvss_metrics_set_confidentiality_requirement() : cvss_metrics
- cvss_metrics_set_exploitability() : cvss_metrics
- cvss_metrics_set_generated_on_datetime() : cvss_metrics
- cvss_metrics_set_integrity_impact() : cvss_metrics
- cvss_metrics_set_integrity_requirement() : cvss_metrics
- cvss_metrics_set_remediation_level() : cvss_metrics
- cvss_metrics_set_report_confidence() : cvss_metrics
- cvss_metrics_set_score() : cvss_metrics
- cvss_metrics_set_source() : cvss_metrics
- cvss_metrics_set_target_distribution() : cvss_metrics
- cvss_metrics_set_upgraded_from_version() : cvss_metrics
- cwe_entry_clone() : cwe_entry
- cwe_entry_free() : cve_entry
- cwe_entry_get_value() : cve_entry
- cwe_entry_new() : cwe_entry
- cwe_entry_set_value() : cve_entry